tests/test_multiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956280 kB, VmSize: 1956280 kB, VmRSS: 317004 kB, VmData: 398224 kB, Mmaps: 1476, Mmaps: 1956284 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1957048 kB, VmSize: 1956812 kB, VmRSS: 317868 kB, VmData: 398756 kB, Mmaps: 1477, Mmaps: 1956816 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1957324 kB, VmSize: 1956828 kB, VmRSS: 318016 kB, VmData: 399012 kB, Mmaps: 1464, Mmaps: 1956832 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00071899999999969
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.31; loadPixelBoxStartUserTime=1.844285; loadPixelBoxStartSystemTime=0.473788; loadPixelBoxStartMaxResidentSetSize=318208; loadPixelBoxStartMinorPageFaults=86266; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=96; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217941
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.31; loadSkyCircleStartUserTime=1.844965; loadSkyCircleStartSystemTime=0.473788; loadSkyCircleStartMaxResidentSetSize=318208; loadSkyCircleStartMinorPageFaults=86276; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=104; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217941
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.31; _readIndexFilesStartUserTime=1.8452959999999998; _readIndexFilesStartSystemTime=0.473792; _readIndexFilesStartMaxResidentSetSize=318208; _readIndexFilesStartMinorPageFaults=86276; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217941
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.31; _readIndexFilesEndUserTime=1.845445; _readIndexFilesEndSystemTime=0.47383; _readIndexFilesEndMaxResidentSetSize=318208; _readIndexFilesEndMinorPageFaults=86277; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217941
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.31; loadSkyCircleEndUserTime=1.848301; loadSkyCircleEndSystemTime=0.47383; loadSkyCircleEndMaxResidentSetSize=318324; loadSkyCircleEndMinorPageFaults=86583; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=104; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217941
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.32; loadPixelBoxEndUserTime=1.85455; loadPixelBoxEndSystemTime=0.473862; loadPixelBoxEndMaxResidentSetSize=318492; loadPixelBoxEndMinorPageFaults=86620; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=104; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217941
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.3.21/lib/python3.6/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.3.21-10a4fa6/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.6.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.3.21-10a4fa6/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/16252/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.3.21-10a4fa6/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/16252/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.73; _readIndexFilesStartUserTime=2.257951; _readIndexFilesStartSystemTime=0.48291999999999996; _readIndexFilesStartMaxResidentSetSize=321156; _readIndexFilesStartMinorPageFaults=90778; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217942
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.74; _readIndexFilesEndUserTime=2.262517; _readIndexFilesEndSystemTime=0.483043; _readIndexFilesEndMaxResidentSetSize=321168; _readIndexFilesEndMinorPageFaults=90786; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=112; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217942
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1959488 kB, VmSize: 1959488 kB, VmRSS: 321168 kB, VmData: 401300 kB, Mmaps: 1481, Mmaps: 1959492 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1959744 kB, VmSize: 1959488 kB, VmRSS: 321228 kB, VmData: 401300 kB, Mmaps: 1482, Mmaps: 1959492 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1959744 kB, VmSize: 1959372 kB, VmRSS: 321472 kB, VmData: 401556 kB, Mmaps: 1464, Mmaps: 1959376 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067899999999987
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.76; loadPixelBoxStartUserTime=2.283411; loadPixelBoxStartSystemTime=0.488019; loadPixelBoxStartMaxResidentSetSize=321584; loadPixelBoxStartMinorPageFaults=90963; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=120; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217942
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.76; loadSkyCircleStartUserTime=2.283999; loadSkyCircleStartSystemTime=0.488019; loadSkyCircleStartMaxResidentSetSize=321584; loadSkyCircleStartMinorPageFaults=90963; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=120; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217942
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.76; _readIndexFilesStartUserTime=2.284325; _readIndexFilesStartSystemTime=0.488019; _readIndexFilesStartMaxResidentSetSize=321584; _readIndexFilesStartMinorPageFaults=90963; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217942
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.76; _readIndexFilesEndUserTime=2.284495; _readIndexFilesEndSystemTime=0.488037; _readIndexFilesEndMaxResidentSetSize=321584; _readIndexFilesEndMinorPageFaults=90963; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217942
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.76; loadSkyCircleEndUserTime=2.288922; loadSkyCircleEndSystemTime=0.488037; loadSkyCircleEndMaxResidentSetSize=321596; loadSkyCircleEndMinorPageFaults=91196; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=128; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217942
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.77; loadPixelBoxEndUserTime=2.295196; loadPixelBoxEndSystemTime=0.488037; loadPixelBoxEndMaxResidentSetSize=321596; loadPixelBoxEndMinorPageFaults=91196; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=128; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217942
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.17; _readIndexFilesStartUserTime=2.6889089999999998; _readIndexFilesStartSystemTime=0.49606; _readIndexFilesStartMaxResidentSetSize=325024; _readIndexFilesStartMinorPageFaults=94627; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=128; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.18; _readIndexFilesEndUserTime=2.692385; _readIndexFilesEndSystemTime=0.49614899999999995; _readIndexFilesEndMaxResidentSetSize=325032; _readIndexFilesEndMinorPageFaults=94633; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1963140 kB, VmSize: 1963140 kB, VmRSS: 325032 kB, VmData: 405076 kB, Mmaps: 1477, Mmaps: 1963144 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1963140 kB, VmSize: 1963140 kB, VmRSS: 325032 kB, VmData: 405076 kB, Mmaps: 1477, Mmaps: 1963144 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1963140 kB, VmSize: 1962892 kB, VmRSS: 325024 kB, VmData: 405076 kB, Mmaps: 1464, Mmaps: 1962896 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067700000000004
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.21; loadPixelBoxStartUserTime=2.713343; loadPixelBoxStartSystemTime=0.501139; loadPixelBoxStartMaxResidentSetSize=325128; loadPixelBoxStartMinorPageFaults=94657; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=136; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.21; loadSkyCircleStartUserTime=2.713895; loadSkyCircleStartSystemTime=0.501139; loadSkyCircleStartMaxResidentSetSize=325128; loadSkyCircleStartMinorPageFaults=94657; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=144; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.21; _readIndexFilesStartUserTime=2.714221; _readIndexFilesStartSystemTime=0.501139; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=94657; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.21; _readIndexFilesEndUserTime=2.7143889999999997; _readIndexFilesEndSystemTime=0.5011479999999999; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=94657; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.21; loadSkyCircleEndUserTime=2.717232; loadSkyCircleEndSystemTime=0.5011479999999999; loadSkyCircleEndMaxResidentSetSize=325128; loadSkyCircleEndMinorPageFaults=94862; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=144; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.22; loadPixelBoxEndUserTime=2.723348; loadPixelBoxEndSystemTime=0.5011479999999999; loadPixelBoxEndMaxResidentSetSize=325128; loadPixelBoxEndMinorPageFaults=94862; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=144; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.61; _readIndexFilesStartUserTime=3.117912; _readIndexFilesStartSystemTime=0.506174; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=96563; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.62; _readIndexFilesEndUserTime=3.121114; _readIndexFilesEndSystemTime=0.506207; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=96569; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1963308 kB, VmSize: 1960832 kB, VmRSS: 322724 kB, VmData: 402768 kB, Mmaps: 1477, Mmaps: 1960836 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1963308 kB, VmSize: 1960832 kB, VmRSS: 322724 kB, VmData: 402768 kB, Mmaps: 1477, Mmaps: 1960836 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1963308 kB, VmSize: 1960584 kB, VmRSS: 322716 kB, VmData: 402768 kB, Mmaps: 1464, Mmaps: 1960588 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067500000000020
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.65; loadPixelBoxStartUserTime=3.1406; loadPixelBoxStartSystemTime=0.512119; loadPixelBoxStartMaxResidentSetSize=325128; loadPixelBoxStartMinorPageFaults=96593; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=160; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.65; loadSkyCircleStartUserTime=3.141031; loadSkyCircleStartSystemTime=0.512189; loadSkyCircleStartMaxResidentSetSize=325128; loadSkyCircleStartMinorPageFaults=96593; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=160; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.65; _readIndexFilesStartUserTime=3.141312; _readIndexFilesStartSystemTime=0.512235; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=96593; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.65; _readIndexFilesEndUserTime=3.1415129999999998; _readIndexFilesEndSystemTime=0.512235; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=96593; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.65; loadSkyCircleEndUserTime=3.144299; loadSkyCircleEndSystemTime=0.512235; loadSkyCircleEndMaxResidentSetSize=325128; loadSkyCircleEndMinorPageFaults=96798; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=160; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.66; loadPixelBoxEndUserTime=3.150478; loadPixelBoxEndSystemTime=0.512235; loadPixelBoxEndMaxResidentSetSize=325128; loadPixelBoxEndMinorPageFaults=96798; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=160; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217943
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.06; _readIndexFilesStartUserTime=3.540633; _readIndexFilesStartSystemTime=0.5212089999999999; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=100229; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217945
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.06; _readIndexFilesEndUserTime=3.545236; _readIndexFilesEndSystemTime=0.521299; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=100237; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217945
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1963308 kB, VmSize: 1963260 kB, VmRSS: 325032 kB, VmData: 405072 kB, Mmaps: 1483, Mmaps: 1963264 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1963308 kB, VmSize: 1963260 kB, VmRSS: 325032 kB, VmData: 405072 kB, Mmaps: 1483, Mmaps: 1963264 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1963308 kB, VmSize: 1962888 kB, VmRSS: 325020 kB, VmData: 405072 kB, Mmaps: 1464, Mmaps: 1962892 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00071000000000065
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.08; loadPixelBoxStartUserTime=3.565841; loadPixelBoxStartSystemTime=0.526238; loadPixelBoxStartMaxResidentSetSize=325128; loadPixelBoxStartMinorPageFaults=100261; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=176; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217945
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.08; loadSkyCircleStartUserTime=3.5662760000000002; loadSkyCircleStartSystemTime=0.5263019999999999; loadSkyCircleStartMaxResidentSetSize=325128; loadSkyCircleStartMinorPageFaults=100261; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=176; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217945
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.08; _readIndexFilesStartUserTime=3.566626; _readIndexFilesStartSystemTime=0.5263019999999999; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=100261; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217945
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.08; _readIndexFilesEndUserTime=3.566804; _readIndexFilesEndSystemTime=0.5263019999999999; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=100261; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217945
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.09; loadSkyCircleEndUserTime=3.57098; loadSkyCircleEndSystemTime=0.5263019999999999; loadSkyCircleEndMaxResidentSetSize=325128; loadSkyCircleEndMinorPageFaults=100494; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=184; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217945
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.09; loadPixelBoxEndUserTime=3.577156; loadPixelBoxEndSystemTime=0.5263019999999999; loadPixelBoxEndMaxResidentSetSize=325128; loadPixelBoxEndMinorPageFaults=100494; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=184; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217945
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.49; _readIndexFilesStartUserTime=3.968854; _readIndexFilesStartSystemTime=0.5323089999999999; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=102772; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=184; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217946
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.5; _readIndexFilesEndUserTime=3.97148; _readIndexFilesEndSystemTime=0.5323089999999999; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=102778; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=184; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217946
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1963428 kB, VmSize: 1963128 kB, VmRSS: 325028 kB, VmData: 405072 kB, Mmaps: 1477, Mmaps: 1963132 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1963428 kB, VmSize: 1963128 kB, VmRSS: 325048 kB, VmData: 405072 kB, Mmaps: 1477, Mmaps: 1963132 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1963428 kB, VmSize: 1962888 kB, VmRSS: 325020 kB, VmData: 405072 kB, Mmaps: 1464, Mmaps: 1962892 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00070300000000056
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.54; loadPixelBoxStartUserTime=4.012765; loadPixelBoxStartSystemTime=0.537299; loadPixelBoxStartMaxResidentSetSize=325128; loadPixelBoxStartMinorPageFaults=104842; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=192; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217946
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.54; loadSkyCircleStartUserTime=4.013367; loadSkyCircleStartSystemTime=0.537299; loadSkyCircleStartMaxResidentSetSize=325128; loadSkyCircleStartMinorPageFaults=104842; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=192; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217946
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.54; _readIndexFilesStartUserTime=4.013709; _readIndexFilesStartSystemTime=0.537299; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=104842; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=200; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217946
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.54; _readIndexFilesEndUserTime=4.013878; _readIndexFilesEndSystemTime=0.537314; _readIndexFilesEndMaxResidentSetSize=325128; _readIndexFilesEndMinorPageFaults=104842; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217946
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.54; loadSkyCircleEndUserTime=4.016736; loadSkyCircleEndSystemTime=0.537314; loadSkyCircleEndMaxResidentSetSize=325128; loadSkyCircleEndMinorPageFaults=105071; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=200; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217946
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.55; loadPixelBoxEndUserTime=4.022999; loadPixelBoxEndSystemTime=0.5373319999999999; loadPixelBoxEndMaxResidentSetSize=325128; loadPixelBoxEndMinorPageFaults=105071; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=200; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217946
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.95; _readIndexFilesStartUserTime=4.418101; _readIndexFilesStartSystemTime=0.5463939999999999; _readIndexFilesStartMaxResidentSetSize=325128; _readIndexFilesStartMinorPageFaults=107350; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=200; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217947
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.17; _readIndexFilesEndUserTime=4.603738; _readIndexFilesEndSystemTime=0.578338; _readIndexFilesEndMaxResidentSetSize=383460; _readIndexFilesEndMinorPageFaults=122288; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217947
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2045252 kB, VmSize: 2044620 kB, VmRSS: 383700 kB, VmData: 462804 kB, Mmaps: 2671, Mmaps: 2044624 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2045388 kB, VmSize: 2045044 kB, VmRSS: 388336 kB, VmData: 463228 kB, Mmaps: 2671, Mmaps: 2045048 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2045556 kB, VmSize: 2021300 kB, VmRSS: 383368 kB, VmData: 463484 kB, Mmaps: 1465, Mmaps: 2021304 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0084219999999995
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.3.21-10a4fa6/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-gb035c22750+28/meas_extensions_astrometryNet-master-gb035c22750+28/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.26; loadPixelBoxStartUserTime=4.678787; loadPixelBoxStartSystemTime=0.595336; loadPixelBoxStartMaxResidentSetSize=388760; loadPixelBoxStartMinorPageFaults=124014; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=216; loadPixelBoxStartVoluntaryContextSwitches=28; loadPixelBoxStartInvoluntaryContextSwitches=217947
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.26; loadSkyCircleStartUserTime=4.679413; loadSkyCircleStartSystemTime=0.595336; loadSkyCircleStartMaxResidentSetSize=388760; loadSkyCircleStartMinorPageFaults=124014; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=216; loadSkyCircleStartVoluntaryContextSwitches=28; loadSkyCircleStartInvoluntaryContextSwitches=217947
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.26; _readIndexFilesStartUserTime=4.67974; _readIndexFilesStartSystemTime=0.595336; _readIndexFilesStartMaxResidentSetSize=388760; _readIndexFilesStartMinorPageFaults=124014; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=216; _readIndexFilesStartVoluntaryContextSwitches=28; _readIndexFilesStartInvoluntaryContextSwitches=217947
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.26; _readIndexFilesEndUserTime=4.679908; _readIndexFilesEndSystemTime=0.595352; _readIndexFilesEndMaxResidentSetSize=388760; _readIndexFilesEndMinorPageFaults=124014; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=216; _readIndexFilesEndVoluntaryContextSwitches=28; _readIndexFilesEndInvoluntaryContextSwitches=217947
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.38; loadSkyCircleEndUserTime=4.787847; loadSkyCircleEndSystemTime=0.601352; loadSkyCircleEndMaxResidentSetSize=388760; loadSkyCircleEndMinorPageFaults=127312; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=216; loadSkyCircleEndVoluntaryContextSwitches=28; loadSkyCircleEndInvoluntaryContextSwitches=217947
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.4; loadPixelBoxEndUserTime=4.80487; loadPixelBoxEndSystemTime=0.601358; loadPixelBoxEndMaxResidentSetSize=388760; loadPixelBoxEndMinorPageFaults=127312; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=216; loadPixelBoxEndVoluntaryContextSwitches=28; loadPixelBoxEndInvoluntaryContextSwitches=217947
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.626s

OK
Mem0: Memory usage:
max rss: [0.325128, 'MB'] MB
VmPeak 1963428 kB
VmSize 1962888 kB
VmRSS 325020 kB
VmData 405072 kB
VmStk 168 kB
Number of mmaps: 1464
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.38346, 'MB'] MB
VmPeak 2044228 kB
VmSize 2044228 kB
VmRSS 383460 kB
VmData 462412 kB
VmStk 168 kB
Number of mmaps: 2670
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.38876, 'MB'] MB
VmPeak 2045556 kB
VmSize 2021700 kB
VmRSS 383764 kB
VmData 463884 kB
VmStk 168 kB
Number of mmaps: 1465
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.38876, 'MB'] MB
VmPeak 2045556 kB
VmSize 2021444 kB
VmRSS 383668 kB
VmData 463628 kB
VmStk 168 kB
Number of mmaps: 1465
None
FD3: 5
